Bug 810314 - Look-behind assertion in UTf-8 with JIT compiler unexpected match
Look-behind assertion in UTf-8 with JIT compiler unexpected match
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcre (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
http://bugs.exim.org/show_bug.cgi?id=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 11:15 EDT by Petr Pisar
Modified: 2012-04-11 22:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: pcre-8.21-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:43:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-04-05 11:15:52 EDT
There is a regression in PCRE 8.21 when matching with JIT in UTF-8 mode. This should not match:

echo ETA | pcregrep -u '(?i)(?<!b|th|z|m|p|^)eta(?!\w)'

Reported to upstream <http://bugs.exim.org/show_bug.cgi?id=1231> and fixed in SVN commit

r953 | zherczeg | 2012-03-29 19:41:57 +0200 (Čt, 29 bře 2012) | 1 line
Fixed a bug for backward assertions with REVERSE 0 in the JIT compiler

F17 and F18 are affected. F16 and older releases are not.
Comment 1 Petr Pisar 2012-04-05 11:47:07 EDT
Fixed as pcre-8.30-3.fc18 in F18.
Comment 2 Fedora Update System 2012-04-05 12:13:09 EDT
pcre-8.21-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcre-8.21-3.fc17
Comment 3 Fedora Update System 2012-04-05 14:23:59 EDT
Package pcre-8.21-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pcre-8.21-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5329/pcre-8.21-3.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-11 22:43:41 EDT
pcre-8.21-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.